Bug 670276 - long arguments are incorrectly parsed when an equal sign is used
long arguments are incorrectly parsed when an equal sign is used
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Hans de Goede
Desktop QE
:
Depends On:
Blocks: 671383
  Show dependency treegraph
 
Reported: 2011-01-17 13:36 EST by Alon Levy
Modified: 2014-08-04 18:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: spice-client-0.7.2-1.el6
Doc Type: Bug Fix
Doc Text:
The spicec program incorrectly parsed long arguments when an equal sign ("=") was used. As a result, an error message was given and the client did not start. This bug has been fixed and the client now behaves as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2011-01-17 13:36:03 EST
Description of problem:
Parsing for:
 --ca-file=some_path
fails, but
 --ca-file some_path
succeeds.

Fix is upstream:

a91f604 client/cmd_line_parser: fix wrong reporting of bad argument in --bla=val case


Version-Release number of selected component (if applicable):
0.7.1

How reproducible:
Always

Steps to Reproduce:
1. execute spicec --ca-file=some_path
2. get strange error message, relating to the previous argument (none in this example).
3.
  
Actual results:
doesn't start, complains about a different previous argument.

Expected results:
start normally.

Additional info:
Comment 2 Hans de Goede 2011-01-25 08:52:04 EST
A new spice-client-0.7.2-1.el6 fixing this has been build, moving to modified.
Comment 4 Michal Haško 2011-04-08 08:42:33 EDT
VERIFIED on spice-client-0.8.0-2.el6
Comment 5 Tomas Capek 2011-05-17 07:34:23 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The spicec program incorrectly parsed long arguments when an equal sign ("=") was used. As a result, an error message was given and the client did not start. This bug has been fixed and the client now behaves as expected.
Comment 6 errata-xmlrpc 2011-05-19 09:15:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0583.html

Note You need to log in before you can comment on or make changes to this bug.